Platform Specific Methods - Android Device Push Notification Registration
Registers the Android device to receive push notifications
POST https://titleId.playfabapi.com/Client/AndroidDevicePushNotificationRegistration
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| DeviceToken | True |
string |
Registration ID provided by the Google Cloud Messaging service when the title registered to receive push notifications (see the GCM documentation, here: http://developer.android.com/google/gcm/client.html). |
| ConfirmationMessage |
string |
Message to display when confirming push notification. |
|
| SendPushNotificationConfirmation |
boolean |
If true, send a test push message immediately after sucessful registration. Defaults to false. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Android |
More information can be found on configuring your game for the Google Cloud Messaging service in the Google developer documentation, here: http://developer.android.com/google/gcm/client.html. The steps to configure and send Push Notifications is described in the PlayFab tutorials, here: https://docs.microsoft.com/gaming/playfab/features/engagement/push-notifications/quickstart. |
|
Android |
|
|
Api |
The basic wrapper around every failed API response |
AndroidDevicePushNotificationRegistrationRequest
More information can be found on configuring your game for the Google Cloud Messaging service in the Google developer documentation, here: http://developer.android.com/google/gcm/client.html. The steps to configure and send Push Notifications is described in the PlayFab tutorials, here: https://docs.microsoft.com/gaming/playfab/features/engagement/push-notifications/quickstart.
| Name | Type | Description |
|---|---|---|
| ConfirmationMessage |
string |
Message to display when confirming push notification. |
| DeviceToken |
string |
Registration ID provided by the Google Cloud Messaging service when the title registered to receive push notifications (see the GCM documentation, here: http://developer.android.com/google/gcm/client.html). |
| SendPushNotificationConfirmation |
boolean |
If true, send a test push message immediately after sucessful registration. Defaults to false. |
AndroidDevicePushNotificationRegistrationResult
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
Error Codes
| Name | Code |
|---|---|
| NoPushNotificationARNForTitle | 1083 |
| PushServiceError | 1095 |